import 'package:equatable/equatable.dart';

class ClientMainState extends Equatable {
  const ClientMainState({
    this.currentIndex = 2, // Default to Home
  });

  final int currentIndex;

  ClientMainState copyWith({int? currentIndex}) {
    return ClientMainState(currentIndex: currentIndex ?? this.currentIndex);
  }

  @override
  List<Object> get props => <Object>[currentIndex];
}
